## LassoSaml2Action LassoSaml2Action — <saml2:Action> |

## Functions

LassoNode * | lasso_saml2_action_new ()
LassoNode * | lasso_saml2_action_new_with_string ()

## Types and Values

struct | LassoSaml2Action

## Description

Figure 44. Schema fragment for saml2:Action

    <complexType name="ActionType">
      <simpleContent>
        <extension base="string">
          <attribute name="Namespace" type="anyURI" use="required"/>
        </extension>
      </simpleContent>
    </complexType>

## Functions

### lasso_saml2_action_new ()

    LassoNode *
    lasso_saml2_action_new (void);

Creates a new LassoSaml2Action object.

#### Returns

a newly created LassoSaml2Action object

### lasso_saml2_action_new_with_string ()

    LassoNode *
    lasso_saml2_action_new_with_string (char *content);

Creates a new LassoSaml2Action object and initializes it with `content` .

#### Parameters

content | content of the new element |

#### Returns

a newly created LassoSaml2Action object

## Types and Values

### struct LassoSaml2Action

    struct LassoSaml2Action {
    	LassoNode parent;

    	/* elements */
    	char *content;
    	/* attributes */
    	char *Namespace;
    };